# SetVariableCommand Class
Sets the given channel variable to the given value.

AsterNet Class Library (Sandcastle documentation)

| SetVariableCommand Class

Sets the given channel variable to the given value.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
SetVariableCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class SetVariableCommand : AGICommand

    Public Class SetVariableCommand
    	Inherits AGICommand

    public ref class SetVariableCommand : public AGICommand

    type SetVariableCommand =
        class
            inherit AGICommand
        end

The SetVariableCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SetVariableCommand | Creates a new GetVariableCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Value | Get/Set the value to set.
| Variable | Get/Set the name of the variable to set.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace